# OBS lib
Android Processor for obs lib

## How to use 
- 소스 코드가 포함된 라이브러리 모듈을 프로젝트로 가져오기 (라이브러리 소스가 프로젝트에 포함됨).</br>
a. File > New > Import Module을 클릭.</br>
b. 라이브러리 모듈 디렉터리의 위치를 입력한 후 Finish를 클릭.</br>

## Usage Examples
```java
ObsCalculater obslib = new ObsCalculater();

public void onGnssMeasurementsReceived(GnssMeasurementsEvent event){
    GnssClock gnssClock = event.getClock();
    
    for (GnssMeasurement measurement : event.getMeasurements()) {        
        int type = obslib.staType(measurement);
        double gs = obslib.calGS(measurement, gnssClock);
        double pseudoRange = obslib.calPseudoRange(measurement, gnssClock);
        double wl = obslib.calWL(measurement);
        double doppler = obslib.calDoppler(measurement);
        double carrierPhase = obslib.calCarrierPhase(measurement);
    }    
}
```
