# SSRG Decoder
Android Processor for Geo++® State Space Representation Generalized Format(SSRG)

## How to use 
- 소스 코드가 포함된 라이브러리 모듈을 프로젝트로 가져오기 (라이브러리 소스가 프로젝트에 포함됨).</br>
a. File > New > Import Module을 클릭.</br>
b. 라이브러리 모듈 디렉터리의 위치를 입력한 후 Finish를 클릭.</br>

## Usage Examples
```java
final SSRClient ssrClient = new SSRClient("fkp.ngii.go.kr", 2201, "userID", "ngii", "/SSRG");
final Thread tcpClient = new Thread(ssrClient);
tcpClient.start();

ssrClient.getSSR();
```

```java
tcp client를 사용할 경우.
public class CustomSSRClient implements Runnable {
    private Socket socket;
    private Ssr ssr;

     private String serverIp;
     private int port;
     private String agent;
     private String authorization;
     private String mountPoint;
     private String initMSG;

     SsrgDecoder ssrgDecoder;

     public CustomSSRClient() {
         serverIp = "fkp.ngii.go.kr";
         port = 2201;
         agent = "NTRIP node-ssrg Client/0.1";
         authorization = "Basic " + toBase64("dudrnr6847:ngii");
         mountPoint = "/SSRG";

         initMSG = "GET " + mountPoint + " HTTP/1.1\r\nUser-Agent:" + agent + "\r\nAuthorization: " + authorization + "\n\n";

         ssrgDecoder = new SsrgDecoder();
     }

     private String toBase64(String text){
         byte[] targetBytes = text.getBytes();

         Encoder encoder = Base64.getEncoder();
         byte[] encodedBytes = encoder.encode(targetBytes);

         return new String(encodedBytes);
     }

     public Ssr getSSR(){
         return ssr;
     }

    @Override
     public void run(){
        try {
            Socket client = new Socket(serverIp, port);
            OutputStream output = client.getOutputStream();
            output.write(initMSG.getBytes());

            while (true) {
                byte[] buffer = new byte[1024*1024];
                InputStream input = client.getInputStream();

                int bytes = input.read(buffer);
                // System.out.println("byte = " + bytes);

                ssrgDecoder.rtcmSplitter(new ByteArrayInputStream(buffer));
                ssr = ssrgDecoder.ssrgParser();
            }
        }catch (Exception e) {
            e.printStackTrace();
        }
     }
}
```